<?php
$page_title = "Deposit  Application";
include_once('template/base_head.php');
?>
			<!-- サイドバー -->
			<aside id="colLeft">
				<h1><a href="/en/menu"><img src="../img/logo.png" alt="iWallet"></a></h1>
<?php include_once('template/base_sidebar.php'); ?>
			</aside>
			<!-- /サイドバー -->
			<!-- メインカラム -->
			<div id="colMain">
				<div class="mainIn">
<?php include_once('template/base_nav.php'); ?>
					<article>
						<div class="article-heading">
							<h2><?php echo $page_title; ?></h2>
						</div>
						<div class="mb10 pleft40"><?php $this -> echoMessage(); ?></div>
						<form id="acForm" action="" method="post">
							<p class="pleft40 mb20 respM">Please select the preferred deposit method.</p>
							<ul class="pleft40 depositul iwl-tag">
								<?php

									$class = NO_STRING;
									$counter = 0;
									$method = $this -> dispMethod();
                                  	$str ='';
							      	$language = $this -> getLangage();
									foreach($method as $value){
										$arrTmp = explode(',',$value['lang']);
										if(!in_array($language,$arrTmp)){
											continue;
										}else{
											$counter++;
											$class = $this -> newTag($value['method']);
											$str .= "<li " . $class . "><a href='javascript:void(0)' class=".$value['method']."  style='float:left;'><img src='../".$value['logo']."' ></a><span class='logofee'><h4><a href='javascript:void(0)' class=".$value['method']."  style='float:left;'>".$value['name']."</a></h4><br>";
											$transactionFee = isset($value['transactionFee']) ? ' + '.$value['transactionFee'] : '';

											$tmpStr = '';

											$tmpStr2 = !isset($value['transactionFee']) ? 'Fee:' : '';


											$tmpStr3 = '';

											if($value['method'] == 'FLAT3' || $value['method'] == 'JPV'){
												$tmpStr3 = '<br><span class="red">*Only available for members in Japan</span>';
											}else if($value['method'] == 'CUP' || $value['method'] == 'LBTC'){
												$tmpStr3 = '<br><span class="red">*Only available for members in China</span>';
											}else if($value['method'] == 'LBTJ' || $value['method'] == 'LBTF3'){
												$tmpStr3 = '<br><span class="red">*Only available for members in Japan</span>';
											}else if($value['method'] == 'SEPA'){
												$tmpStr3 = '<span class="red">*Only available for banks in SEPA</span>';
											}else if($value['method'] == 'H2P'){
												$tmpStr3 = '<br><span class="red">*Only available for members in Vietnam, Thailand, Malaysia and Indonesia</span>';
											}else if($value['method'] == 'CPS'){
												$tmpStr3 = '<br><span class="red">*Available Cryptocurrency: BTC, XRP, LTC, BCH, ETH, DASH, ZEC</span>';
											}
											
											if($value['method'] == 'CARDPAY'){
												$tmpStr = 'EUR '.CASHFLOW_RISK_FEE_EUR.' per deposit';
											}

											if($value['method'] == 'UNIONPAY'){
												$tmpStr2 = 'Fee: ';
												$tmpStr = 'EUR '.ZANETAPAY_RISK_FEE_EUR.' per deposit';
											}

											if($value['method'] == 'CUP' || $value['method'] == 'BIT' || $value['method'] == 'CLEARSETTLE' || $value['method'] == 'LBTC'|| $value['method'] == 'H2P' || $value['method'] == 'CPS'){
											$tmpStr = ' per deposit';
											}


											if($value['method'] == 'FLAT3'){
												$str .= isset($value['fee']) ? "<span class='grey'>".$tmpStr2 .$value['fee']."% ".$transactionFee.' '.$tmpStr."</span>".$tmpStr3."</span></li>" : '</span></li>';
											} else if($value['method'] == 'CUP' || $value['method'] == 'BIT'|| $value['method'] == 'CLEARSETTLE'|| $value['method'] == 'H2P' ){
												$str .= isset($value['fee']) ? "<span class='grey'>".$tmpStr2 .$value['fee']."% ".$transactionFee.' '.$tmpStr."</span>".$tmpStr3."</span></li>" : '</span></li>';
											} else if($value['method'] == 'CARDPAY'){
												$str .= isset($value['fee']) ? "<span class='grey'>".$tmpStr2 .$value['fee']."% + ".$tmpStr."</span>".$tmpStr3."</span></li>" : $tmpStr3."</span></li>";
											}else if($value['method'] == 'UNIONPAY'){
												$str .= isset($value['fee']) ? "<span class='grey'>".$tmpStr2 .$value['fee']."% + ".$tmpStr."</span>".$tmpStr3."</span></li>" : $tmpStr3."</span></li>";
											}else{
												$str .= isset($value['fee']) ? "<span class='grey'>".$tmpStr2 .$value['fee']."% ".$transactionFee.' '.$tmpStr."</span>".$tmpStr3."</span></li>" : $tmpStr3."</span></li>";
											}

										}
									}
									$counter % 2 != 0 ? $str .= "<li></li>" : $str .= '';
                	echo $str;
								?>
							</ul>
							<span></span>
							<input type="hidden" value="" id="method" name="method" />
							<input type="hidden" value="" id="type" name="type" />
						</form>
					</article>
				</div>
			</div>
			<!-- /メインカラム -->
		</div>
<?php include_once('template/base_foot.php'); ?>
	</div>
	<script src="../js/deposit.js"></script>
</body>
</html>
